package com.trs.web2frame.tool.tyjyh.common;

import com.trs.infra.util.CMyFile;

public class Appendix {
	//附件说明
	private String APPDESC = "";
	
	//附件后缀名
	private String FILEEXT = "";
	
	//附件ALT
	private String APPLINKALT = "";
	
	//源文件名
	private String SRCFILE = "";
	
	//物理文件名
	private String APPFILE = "";
	
	//物理路径
	private String APPPATH = "";
	
	//附件类型
	private String APPTYPE = "";
	
	public Appendix() {
		
	}
	
	public Appendix(String APPDESC, String APPLINKALT, String SRCFILE, String APPFILE, String APPPATH, String APPTYPE) {
		this.APPDESC = APPDESC;
		this.APPFILE = APPFILE;
		this.APPLINKALT = APPLINKALT;
		this.SRCFILE = SRCFILE;
		this.FILEEXT = CMyFile.extractFileExt(APPFILE);
		this.APPPATH = APPPATH;
		this.APPTYPE = APPTYPE;
	}

	public String getAPPPATH() {
		return APPPATH;
	}

	public void setAPPPATH(String apppath) {
		APPPATH = apppath;
	}

	public String getAPPDESC() {
		return APPDESC;
	}

	public void setAPPDESC(String appdesc) {
		APPDESC = appdesc;
	}

	public String getAPPFILE() {
		return APPFILE;
	}

	public void setAPPFILE(String appfile) {
		APPFILE = appfile;
	}

	public String getAPPLINKALT() {
		return APPLINKALT;
	}

	public void setAPPLINKALT(String applinkalt) {
		APPLINKALT = applinkalt;
	}

	public String getFILEEXT() {
		return FILEEXT;
	}

	public void setFILEEXT(String fileext) {
		FILEEXT = fileext;
	}

	public String getSRCFILE() {
		return SRCFILE;
	}

	public void setSRCFILE(String srcfile) {
		SRCFILE = srcfile;
	}

	public String getAPPTYPE() {
		return APPTYPE;
	}

	public void setAPPTYPE(String aPPTYPE) {
		APPTYPE = aPPTYPE;
	}
	
	
	
}
